LPRng Reference Manual: 24 Sep 2004 (For LPRng-3.8.28)
Prev |  | Next

# Chapter 7. lpq - Status Monitoring Program

The lpq program is the main method used to monitor queues. You can obtain the available options by using:

        h4: {306} % lpq -=
        lpq: Illegal option '='
        usage: lpq [-aAclV] [-Ddebuglevel] [-Pprinter] [-tsleeptime]
          -a           - all printers
          -c           - clear screen before update
          -l           - increase (lengthen) detailed status information
                         additional l flags add more detail.
          -L           - maximum detailed status information
          -n linecount - linecount lines of detailed status information
          -Ddebuglevel - debug level
          -Pprinter    - specify printer
          -s           - short (summary) format
          -tsleeptime  - sleeptime between updates
          -V           - print version information

# 7.1. lpq Queue Selection (lpq -Pprinter, lpq -a)

If no queue is specified, then the default queue is used, with -Pprinter@host causing a direct connection to the named host. The -a literal selects all queues.

Prev | Home | Next
FQDN Host Information |  | lpq Job Selection